<?
//if($ku['id']==1)include_once 'inc/fish/end.php';
include_once 'inc/fish/change_fish.php';
include_once 'inc/fish/change_soil.php';
include_once 'inc/fish/spond_all.php';
include_once 'inc/fish/spond.php';
include_once 'inc/fish/harvest_all.php';
include_once 'inc/fish/harvest.php';
include_once 'inc/fish/seat_all.php';
include_once 'inc/fish/seat.php';
include_once 'inc/fish/soil_all.php';
include_once 'inc/fish/soil.php';
include_once 'inc/fish/water_all.php';
include_once 'inc/fish/water.php';
include_once 'inc/fish/clean_grounds.php';
include_once 'inc/fish/new_pond.php';
if(isset($_GET['plantup'])){
mysql_query("UPDATE `kolhoz_user` SET `compat_fish` = '1' WHERE `id` = '$ku[id]' LIMIT 1");
//$_SESSION['msg']='Изменения успешно приняты';
header("Location:/ozero");
}
if(isset($_GET['plantdown'])){
mysql_query("UPDATE `kolhoz_user` SET `compat_fish` = '0' WHERE `id` = '$ku[id]' LIMIT 1");
//$_SESSION['msg']='Изменения успешно приняты';
header("Location:/ozero");
}
require_header ('Пруды');
if(isset($_SESSION['cp']))
{
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Бесплатная очистка пруда будет доступна через ".time_left($ku['time_cp']-$time)."</span></li></ul></div>";
unset($_SESSION['cp']);
}
echo "<div class='content'>";
echo "<div class='block'>";
echo "<div><img width='16' height='16' src='images/icons/refresh.png' alt='o'> <a href='/ozero/reflesh/".rand(99999,99999999)."'>Обновить</a></div>";

////Разобьем на логические части


////Эффекты
if($ku['hydropinics_time']>$time)echo "<li><img width='16' height='16' src='images/icons/hydropinics.png' alt='o'> <a class='epic' href='/shop-hydropinics'>Гидропоника</a><span class='minor'> $ku[hydropinics_type]% на <span>".time_left($ku['hydropinics_time']-$time)."</span></span></li>";
if($ku['scarecrow_time']>$time)echo "<li><img width='16' height='16' src='images/icons/scarecrow.png' alt='o'> <a class='epic' href='/shop-scarecrow'>Пугало</a><span class='minor'> на <span>".time_left($ku['scarecrow_time']-$time)."</span></span></li>";
if($ku['dog_time']>$time)echo "<li><img width='16' height='16' src='images/icons/dog.png' alt=''> <a class='epic' href='/shop-dog'>Собака</a><span class='minor'> $ku[dog_type]% на <span>".time_left($ku['dog_time']-$time)."</span></span></li>";
if($ku['time_shmel']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli1n.png'> <a class='epic' href='/shop-helicopter/1'>Шмель</a><span class='minor'> на <span>".time_left($ku['time_shmel']-$time)."</span></span></li>";
if($ku['time_yastreb']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli2n.png'> <a class='epic' href='/shop-helicopter/2'>Ястреб</a><span class='minor'> на <span>".time_left($ku['time_yastreb']-$time)."</span></span></li>";
if($ku['time_drakon']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli3n.png'> <a class='epic' href='/shop-helicopter/3'>Дракон</a><span class='minor'> на <span>".time_left($ku['time_drakon']-$time)."</span></span></li>";
////Конец эффектов

////Массовые мероприятия )))
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_plant` != '0'"),0)!=0 && $ku['catchfish']>0)echo "<div><img width='16' height='16' src='images/fish/ss-hrvst.png' alt='o'> <a href='/ozero/catchfish_all'>Выловить все</a></div>";

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]' AND `soil` = '0' AND (`time_soil` = '$time' OR `time_soil` < '$time') AND `id_plant` != '0' AND `time` > '$time'"),0)!=0 && $ku['catchfish']>0)echo "<div><img width='16' height='16' src='images/fish/feed_feesh.png' alt='o'> <a href='/ozero/soil_all'>Подкормить всех</a></div>";

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]' AND `id_plant` != '0' AND (`time_water` = '$time' OR `time_water` < '$time') AND `time` > '$time' AND (`soil` = '0' AND `time_soil` > '$time' OR `soil` = '1')"),0)!=0 && $ku['sponder']>0)echo "<div><img width='16' height='16' src='images/fish/ss-dg.png' alt='o'> <a href='/ozero/water_all'>Почистить все</a></div>";

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'"),0)!=0 && $ku['catchfish']>0)echo "<div><img width='16' height='16' src='images/fish/ss-hrvst.png' alt='o'> <a href='/ozero/seat_all'> Запустить малька</a></div>";

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"),0)!=0 && $ku['sponder']>0)echo "<div><img width='16' height='16' src='images/fish/ss-dg.png' alt='o'> <a href='/ozero/spond_all'>Очистить все</a></div>";
echo "<ul><ul class='ptm'></ul>";

////ПРУДЫ

if($ku['compat_fish']==1)$plantlim=1;
if($ku['compat_fish']==0)$plantlim=20;
$q=mysql_query("SELECT * FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]' LIMIT $plantlim");
while($post=mysql_fetch_array($q))
{
echo "<li>";
if($post['id_plant']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_fish` WHERE `id` = '$post[id_plant]'"),0)!=0)
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_fish` WHERE `id` = '$post[id_plant]'"));

echo "<li><img width='48' height='48' src='".(!isset($plant)?"".($post['cultivator']==1?"images/fish/ozero_chist.png":"images/fish/ozero_durty.png")."":"images/fish/$plant[id].png")."' alt='o' class='portrait'>";
echo "<div>";
echo "".(!isset($plant)?"<span class='title'>".($post['cultivator']==1?"Чистый пруд":"Грязный пруд")."</span>":"<span  class='title'>".hsc($plant['name'])."</span>".($post['time']>$time?"<span class='small minor'> (Вылов через <span> ".time_left($post['time']-$time)."</span>)</span>":null)."")."";
echo "</div>";
echo "<div>";
if(isset($plant))
{
if($post['time']<=$time)
{
echo "<img width='16' height='16' src='images/fish/ss-hrvst.png' alt='o'> <a href='/ozero/catchfish-$post[id]'>Выловить рыбу</a>";
}
else
{
if($ku['last_korm']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_korm` WHERE `id` = '$ku[last_korm]'"),0)!=0)
$ls=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_korm` WHERE `id` = '$ku[last_korm]'"));
echo "<div class='minor'>".($post['time_soil']<=$time && $post['soil']==0 && $post['time']>$time?"<img width='16' height='16' src='images/fish/feed_feesh.png' alt='*'> ".(isset($ls)?"<a href='/ozero/soil-$post[id]/select-$ls[id]'>Применить
<span>".hsc($ls['name'])."</span></a>, <a href='/ozero/soil-$post[id]'><span>выбрать
подкормку</span></a>":"<a href='/ozero/soil-$post[id]'>Подкормить</a>")."":"".($post['soil']==0 && $post['time']>$time?"<div class='small minor'>Подкормка через ".time_left($post['time_soil']-$time)."":null)."")."</div>";

echo "<div class='small minor'>".($post['time_water']>$time && $post['time']>$time?"Очистка через ".time_left($post['time_water']-$time)."":"".($post['time']>$time?"".($post['soil']==0 && $post['time_soil']>$time || $post['soil']==1?"<img alt='' width='16' height='16' src='images/fish/ss-dg.png'> <a href='/ozero/water-$post[id]'>Убрать тину</a>":null)."":null)."")."</div>";
}
}
else
{
echo "<span>";
if($ku['last_fish']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_fish` WHERE `id` = '$ku[last_fish]'"),0)!=0)
$lp=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_fish` WHERE `id` = '$ku[last_fish]'"));
echo "".($post['cultivator']==1?"<img width='16' height='16' src='images/fish/ss-hrvst.png' alt='*'> ".(isset($lp)?"<a href='/ozero/seat-$post[id]/select-$lp[id]'>Запустить <span>".hsc($lp['name'])."</span></a>, <a href='/ozero/seat-$post[id]'><span>выбрать малька</span></a>":"<a href='/ozero/seat-$post[id]'>Запустить малька</a>")."":"<img width='16' height='16' src='images/fish/ss-dg.png' alt='o'> <a href='/ozero/spond-$post[id]'><span style='title'>Убрать тину</span></a>")."";
echo "</span>";
}
if(isset($plant))unset($plant);
echo "</div><div style='clear:both'></div></li>";
}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]'"),0)<20)echo "<li><img width='48' height='48' src='images/fish/ozero_chist.png' alt='o' class='portrait'><div><span class='title'>Новый пруд</span></div><div><img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='/ozero/new_pond'>Купить</a> за <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'><span>".cpg(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]'"),0))."</span> рубинов</span></div><div style='clear:both'></div></li>";

if($ku['last_plant']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '$ku[last_plant]'"),0)!=0)
$lp=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_fish` WHERE `id` = '$ku[last_fish]'"));
if($ku['last_korm']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_korm` WHERE `id` = '$ku[last_korm]'"),0)!=0)
$ls=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_korm` WHERE `id` = '$ku[last_korm]'"));
echo "<ul class='ptm'>";
if($ku['catchfish']>0 AND $ku['sponder']>0 AND $ku['compat_fish']==0)
echo "</ul><li><img width='16' height='16' src='images/icons/up.png' alt='o'> <a href='/ozero/plantup'>Свернуть пруды</a> <span>";
if($ku['catchfish']>0 AND $ku['sponder']>0 AND $ku['compat_fish']==1)
echo "</ul><li><img width='16' height='16' src='images/icons/down.png' alt='o'> <a href='/ozero/plantdown'>Развернуть пруды</a> <span>";
////Смена рыбы, прикормки
echo "<ul class='ptm'><li><img width='16' height='16' src='images/fish/fish.png' alt='o'> <a href='/ozero/change_fish'>Выбрать мальков</a>: <span>".(isset($lp)?"".hsc($lp['name'])."":"-")."</span></li>";

echo "<li><img width='16' height='16' src='images/fish/feed_feesh.png' alt='o'> <a href='/ozero/change_soil'>Выбрать корм</a>: <span>".(isset($ls)?"".hsc($ls['name'])."":"-")."</span></li>";

echo "".($ku['time_fp']>$time?"<li><img width='16' height='16' src='images/icons/cross.png' alt='o'> 
До бесплатной очистки: <span>".time_left($ku['time_fp']-$time)."</span></li>
<li><span><img width='16' height='16' src='images/fish/sc-clr-ll.png' alt='o'> <a href='/ozero/clean_ponds'><span>Очистить пруды</span></a> (<span>Стоимость</span>: <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> 
<span class='title'>".($ku['count_fp']*10)."</span></span>)</span></li>":"<li><img width='16' height='16' src='images/fish/sc-clr-ll.png' alt='o'> <a href='/ozero/clean_ponds'>Очистить пруды</a></li>")."</ul></div>";

include_once 'inc/foot.php';
?>